Index: src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java
===================================================================
--- src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java	(revision 4120)
+++ src/uk/me/parabola/imgfmt/app/trergn/TREHeader.java	(working copy)
@@ -244,8 +244,10 @@
 		if (props.containsKey(key))
 			setDisplayPriority(props.getProperty(key, 0x19));
 
-		if (props.containsKey("transparent"))
+		String transparentOpt = props.getProperty("transparent", null);
+		if ("S".equalsIgnoreCase(transparentOpt) || "Y".equalsIgnoreCase(transparentOpt)) {
 			poiDisplayFlags |= POI_FLAG_TRANSPARENT;
+		}
 		custom = props.containsKey("custom");
 			
 	}
Index: src/uk/me/parabola/mkgmap/CommandArgsReader.java
===================================================================
--- src/uk/me/parabola/mkgmap/CommandArgsReader.java	(revision 4120)
+++ src/uk/me/parabola/mkgmap/CommandArgsReader.java	(working copy)
@@ -198,6 +198,12 @@
 		case "unicode":
 			add(new CommandOption("code-page", "65001"));
 			break;
+		case "transparent":
+			if (value == null || value.isEmpty())
+				add(new CommandOption("transparent", "Y"));
+			else
+				add(opt);
+			break;
 		default:
 			add(opt);
 			break;
Index: src/uk/me/parabola/mkgmap/main/MapMaker.java
===================================================================
--- src/uk/me/parabola/mkgmap/main/MapMaker.java	(revision 4120)
+++ src/uk/me/parabola/mkgmap/main/MapMaker.java	(working copy)
@@ -151,7 +151,9 @@
 		LoadableMapDataSource src = MapReader.createMapReader(name);
 		src.config(args.getProperties());
 		log.info("Started loading", name);
-		src.load(name, args.getProperties().getProperty("transparent", false) == false);
+		String transparentOpt = args.getProperties().getProperty("transparent", null);
+		boolean addBackground = "Y".equalsIgnoreCase(transparentOpt) ? false : true;
+		src.load(name, addBackground);
 		log.info("Finished loading", name);
 		return src;
 	}
